KIRC(1)

NAME
kirc - KISS for IRC

SYNOPSIS
kirc [-s server] [-p port] [-n nick] [-c chan] ...

DESCRIPTION
kirc is an extremely fast and simple IRC client designed with portability in mind. This client reads from stdin and prints to stdout, so all traffic can multiplexed and text parsed or modified using external commands. All highlighted text and color can be controlled with ANSI escape sequences.

OPTIONS

-s server
    Overrides the default host (irc.libera.chat)

-p port
    Overrides the default port (6697)

-c chan
    Specifies the channel(s) to JOIN (delimited by "," or "|")

-n nick
    Specifies the NICK connection nickname

-r real
    Specifies the users real name

-u user
    Specifies the USER connection username

-k pass
    Specifies the PASS connection password

-x command
    Specifies additional commands to send to the host after initial connection.

-a auth
    Specifies SASL PLAIN mechanism authentication token

-e  Specifies SASL EXTERNAL mechanism

-v  Prints the version information to stderr, then exits

-V  Increases verbosity. Causes raw IRC messages to be printed when sent or received.

COMMANDS

/<command>
    Send message to IRC host (e.g. /JOIN, /PART, /WHOIS, etc.)

/#<channel>
    Set default message channel to <channel>

<message>
    Send PRIVMSG to default message channel with <message> as the content

@<channel|nick> <message>
    Send <message> to specified <channel> or <nick>

@@<channel|nick>
    Send CTCP ACTION containing <message> to specified <channel> or <nick>

AUTHOR
Michael Czigler <michaelczigler at icloud dot com>

BUGS
Please report them!